package com.coydone.dao;

import com.coydone.domain.Tour;

import java.util.List;

public interface TourDao {
    //多条件分页查询
    List<Tour> findAllByLimit(Integer cityId,String min,String max,Integer pageNo,Integer pageSize);

    //多条件查询总记录数
    Integer findTotalSize(Integer cityId,String min,String max);

    //通过id删除
    Integer deleteById(Integer id);

    //添加
    Integer add(Tour tour);

    //通过id修改
    Integer updateById(Tour tour);

    //根据id查询
    Tour findById(Integer id);
}
