package com.coydone.domain;

import java.io.Serializable;
import java.util.Date;

public class Tour implements Serializable {
    private Integer id;
    private String introduce;
    private Date pubTime;
    private Double price;
    private Integer cityId;

    //添加表关系
    private City city;

    public City getCity() {
        return city;
    }

    public void setCity(City city) {
        this.city = city;
    }

    public Tour() {
    }

    public Tour(Integer id, String introduce, Date pubTime, Double price, Integer cityId) {
        this.id = id;
        this.introduce = introduce;
        this.pubTime = pubTime;
        this.price = price;
        this.cityId = cityId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public Date getPubTime() {
        return pubTime;
    }

    public void setPubTime(Date pubTime) {
        this.pubTime = pubTime;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }
}
