package com.coydone.service;

import com.coydone.domain.Tour;
import com.coydone.utils.PageUtils;

public interface TourService {
    //多条件分页查询
    PageUtils<Tour> findAllByLimit(Integer cityId, String min, String max, Integer pageNo);

    //多条件查询总记录数
    Integer findTotalSize(Integer cityId,String min,String max);

    //通过id删除
    Integer deleteById(Integer id);

    //添加
    Integer add(Tour tour);

    //通过id修改
    Integer updateById(Tour tour);

    //根据id查询
    Tour findById(Integer id);
}
