<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <meta charset="UTF-8">
    <title>修改页面</title>
    <style type="text/css">
        div{
            text-align: center;
            margin: 20px auto;
        }
        table{
            align-content: center;
            margin: 0 auto;
        }
    </style>
</head>
<body>
<div>
    <h1>修改景点信息</h1>
    <form action="${pageContext.request.contextPath}/tour" method="post">
        <input type="hidden" name="action" value="update">
        <input type="hidden" name="id" value="${requestScope.tour.id}">
        <table border="" cellspacing="" cellpadding="">
            <tr>
                <td>景点介绍</td>
                <td>
                    <textarea name="introduce" rows="1" cols="20">${requestScope.tour.introduce}</textarea>
                </td>
            </tr>
            <tr>
                <td>发布时间</td>
                <td><input type="date" name="pubTime" value="${requestScope.tour.pubTime}" /></td>
            </tr>
            <tr>
                <td>票价</td>
                <td>
                    <input type="text" name="price" value="${requestScope.tour.price}" />
                </td>
            </tr>
            <tr>
                <td>城市</td>
                <td>
                    <select name="cityId" id="">
                        <option value="0">--请选择--</option>
                        <c:forEach var="city" items="${sessionScope.cities}">
                            <%--下拉框的回显就是把之前选择的改为默认显示 selected--%>
                            <option value="${tour.city.cityId}" selected>${tour.city.cityName}</option>
                        </c:forEach>
                    </select>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type="submit" value="修改信息" />
                    <input type="reset" value="重置信息"/>
                </td>
            </tr>
        </table>
    </form>
</div>
</body>
</html>
