/*
SQLyog Ultimate v12.09 (64 bit)
MySQL - 5.7.21-log : Database - hpbbs
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`hpbbs` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `hpbbs`;

/*Table structure for table `city` */

DROP TABLE IF EXISTS `city`;

CREATE TABLE `city` (
  `cityId` int(4) NOT NULL AUTO_INCREMENT COMMENT '城市编号',
  `cityName` varchar(50) NOT NULL COMMENT '城市名称',
  PRIMARY KEY (`cityId`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Data for the table `city` */

insert  into `city`(`cityId`,`cityName`) values (1,'武汉'),(2,'北京'),(3,'杭州'),(4,'南京');

/*Table structure for table `toursinfo` */

DROP TABLE IF EXISTS `toursinfo`;

CREATE TABLE `toursinfo` (
  `id` int(4) NOT NULL AUTO_INCREMENT COMMENT '景点编号',
  `introduce` varchar(200) DEFAULT NULL COMMENT '景点介绍',
  `pubTime` date DEFAULT NULL COMMENT '发布时间',
  `price` decimal(6,2) DEFAULT NULL COMMENT '票价',
  `cityId` int(4) DEFAULT NULL COMMENT '城市编号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

/*Data for the table `toursinfo` */

insert  into `toursinfo`(`id`,`introduce`,`pubTime`,`price`,`cityId`) values (1,'东湖是武汉最大的2222222湖，风景优美','2020-06-01','56.84',1),(2,'长城是古代中国人创造的建筑奇迹','2020-08-12','180.00',2),(3,'西湖的水，我的泪，看白蛇传','2020-08-21','34.80',3),(4,'中山陵是国父孙中山安葬的地方','2020-08-11','58.02',4),(5,'北京天安门哈哈哈哈','2020-08-05','250.00',2),(7,'黄鹤楼2222','2020-08-12','255.00',1),(9,'111111','2020-08-21','58.02',1);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
