package com.coydone.dao.impl;

import com.coydone.dao.CityDao;
import com.coydone.domain.City;
import com.coydone.utils.JDBCUtils;
import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.handlers.BeanHandler;
import org.apache.commons.dbutils.handlers.BeanListHandler;

import java.sql.SQLException;
import java.util.List;

public class CityDaoImpl implements CityDao {
    private QueryRunner qr = new QueryRunner(JDBCUtils.getDataSource());
    @Override
    public City findById(Integer cityId) {
        String sql = " select * from city where cityId = "+cityId;
        City city = null;
        try {
            city = qr.query(sql, new BeanHandler<>(City.class));
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return city;
    }

    @Override
    public List<City> findAll() {
        String sql = " select * from city ";
        List<City> cities = null;
        try {
            cities = qr.query(sql, new BeanListHandler<>(City.class));

        } catch (SQLException e) {
            e.printStackTrace();
        }
        return cities;
    }
}
