<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <meta charset="UTF-8">
    <title>详情页面</title>
    <style type="text/css">
        div{
            text-align: center;
            margin: 20px auto;
        }
        table{
            align-content: center;
            margin: 0 auto;
        }
    </style>
</head>
<body>
<div>
    <h1>景点详情信息</h1>
    <table border="" cellspacing="" cellpadding="">
        <tr>
            <td>景点介绍</td>
            <td><textarea name="introduce" rows="1" cols="20">${requestScope.tour.introduce}</textarea></td>
        </tr>
        <tr>
            <td>发布时间</td>
            <td>${requestScope.tour.pubTime}</td>
        </tr>
        <tr>
            <td>票价</td>
            <td>${requestScope.tour.price}</td>
        </tr>
        <tr>
            <td>城市</td>
            <td>${requestScope.tour.city.cityName}</td>
        </tr>
        <tr>
            <td colspan="2">
                <a href="${pageContext.request.contextPath}/index.jsp">返回首页</a>
            </td>
        </tr>
    </table>
</div>
</body>
</html>
